Warm List

GET /public/v1/warmlist/{workspaceId}/viewers

List warmlist prospects who viewed your LinkedIn profile.

GET /public/v1/warmlist/{workspaceId}/viewers

GET /public/v1/warmlist/{workspaceId}/viewers

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/warmlist/{WORKSPACEID}/viewers' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "prospects": [
      {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "headline": "<string>",
        "location": "<string>",
        "profile_picture": "<string>",
        "linkedin_url": "<string>",
        "linkedin_public_id": "<string>",
        "connection_degree": "<string>",
        "icp_fit": "<string>",
        "icp_fit_justification": "<string>",
        "created_at": "<string>"
      }
    ],
    "icpFit": {
      "totalUnique": 1,
      "lowIcpCount": 1,
      "mediumIcpCount": 1,
      "highIcpCount": 1
    },
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • workspaceId string required

Query Parameters

  • icpFit string

    Comma-separated: low,medium,high

  • limit number
  • offset number
  • ownerId string

    Admin/Owner only: view data for a specific workspace member by their user ID

  • sort string

    newest (default) or oldest

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • prospects[] object array
      + Show Child Attributes
      • id string
      • first_name string nullable
      • last_name string nullable
      • headline string nullable
      • location string nullable
      • profile_picture string nullable
      • linkedin_url string nullable
      • linkedin_public_id string nullable
      • connection_degree string nullable
      • icp_fit string nullable
      • icp_fit_justification string nullable
      • created_at string nullable
    • icpFit object
      + Show Child Attributes
      • totalUnique number
      • lowIcpCount number
      • mediumIcpCount number
      • highIcpCount number
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean